System Requirements Failure.
Created on: April 9th, 2006
System Requirements Failure.
Tested my system requirments for Oblivion for the hell of it, found they qualified me even though I have a PowerBook G4 from 2004.

Sponsorships:

Vote metrics:

rating total votes favorites comments
(3.44) 9 0 5

View metrics:

today yesterday this week this month all time
0 0 0 0 2,084

Inbound links:

views url
1 http://search.yahoo.com/search?p=ytmnd+requirements&toggle=1&cop=mss&ei=UTF-8&fr=yfp-t-701
1 http://tw.search.yahoo.com/search;_ylt=A8tUwZKMrShPF18AGNZr1gt.?

Add a comment

Please login or register to comment.
April 9th, 2006
(0)
owned
April 9th, 2006
(0)
April 9th, 2006
(0)
XD.
April 9th, 2006
(0)
I've come to the conclusion that, the site blows. It says my p2 is past the recommended and it won't even run the game in 320
April 9th, 2006
(0)
For UT 2004 that is, :).